services:
  nextcloud-db:
    command:
    - mariadbd
    container_name: nextcloud-db
    entrypoint:
    - docker-entrypoint.sh
    environment:
      GOSU_VERSION: '1.17'
      LANG: C.UTF-8
      MARIADB_MAJOR: '10.6'
      MARIADB_VERSION: 1:10.6.23+maria~ubu2204
      MYSQL_DATABASE: nextcloud1
      MYSQL_PASSWORD: '***SENSITIVE_VALUE*** (Your...)'
      MYSQL_ROOT_PASSWORD: '***SENSITIVE_VALUE*** (Your...)'
      MYSQL_USER: nextcloud
      PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
    image: mariadb:10.6
    networks:
    - nextcloud-internal
    restart: unless-stopped
    volumes:
    - /srv/mergerfs/DataPool/nextcloud/mariadb:/var/lib/mysql:rw
